Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## calhoun.analysis.crf
Interface ModelManager

All Superinterfaces:
  FeatureManager, FeatureManagerEdge, FeatureManagerEdgeExplicitLength, FeatureManagerNode, FeatureManagerNodeExplicitLength, java.io.Serializable

All Known Implementing Classes:
  BeanModel, Interval13Model, Interval29Model, ZeroOrderManager, ZeroOrderModel

    public interface ModelManager

extends FeatureManagerEdge, FeatureManagerNode, FeatureManagerEdgeExplicitLength, FeatureManagerNodeExplicitLength

overall itnerface for an entire model. The model contains the hidden state defintions and transitions as well as all of the features.

Method Summary
`DenseBooleanMatrix2D` | `getLegalTransitions()` returns a boolean matrix where each `(row, column)` entry contains true if the model has a legal transition between state `row` and state `column`.
`int` | `getNumStates()` the number of hidden states.
`int` | `getStateIndex(java.lang.String name)` looks up a hidden state's index given it's human readable name.
`java.lang.String` | `getStateName(int state)` looks up the human readable name of a hidden state given it's index.

Methods inherited from interface calhoun.analysis.crf.FeatureManagerEdge
`evaluateEdge`

Methods inherited from interface calhoun.analysis.crf.FeatureManager
`getCacheStrategy, getFeatureName, getInputComponent, getNumFeatures, setInputComponent, train`

Methods inherited from interface calhoun.analysis.crf.FeatureManagerNode
`evaluateNode`

Methods inherited from interface calhoun.analysis.crf.FeatureManager
`getCacheStrategy, getFeatureName, getInputComponent, getNumFeatures, setInputComponent, train`

Methods inherited from interface calhoun.analysis.crf.FeatureManagerEdgeExplicitLength
`evaluateEdgeLength`

Methods inherited from interface calhoun.analysis.crf.FeatureManager
`getCacheStrategy, getFeatureName, getInputComponent, getNumFeatures, setInputComponent, train`

Methods inherited from interface calhoun.analysis.crf.FeatureManagerNodeExplicitLength
`evaluateNodeLength`

Methods inherited from interface calhoun.analysis.crf.FeatureManager
`getCacheStrategy, getFeatureName, getInputComponent, getNumFeatures, setInputComponent, train`

Method Detail

### getNumStates

    int getNumStates()

  the number of hidden states.

  Returns:
    the number of hidden states

### getStateName

    java.lang.String getStateName(int state)

  looks up the human readable name of a hidden state given it's index.

  Returns:
    string name of the state with this index.

### getStateIndex

    int getStateIndex(java.lang.String name)

  looks up a hidden state's index given it's human readable name.

  Returns:
    index of the state with this name.

### getLegalTransitions

    DenseBooleanMatrix2D getLegalTransitions()

  returns a boolean matrix where each `(row, column)` entry contains true if the model has a legal transition between state `row` and state `column`. A ModelManager may safely return null if all transitions are legal.

  Returns:
    a boolean matrix containing the legal transitions.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD